
Foreman - Feature #2170

Add support for ec2 tags during instance creation

02/01/2013 04:38 PM - Rolfe Von Stuppe

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7154

  

Description

It would be nice to add support on the Virtual Machine tab (when using EC2 as your cloud provider) for tags.  My specific use case is

my firstboot script (baked into my AMI) partially hinges upon an EC2 tag "Name" being set.  Please let me know any other info

needed about the request.

Related issues:

Related to Hammer CLI - Feature #30020:  Add support for ec2 tags during inst... New

Has duplicate Foreman - Feature #7528: EC2 Tagging via Foreman Provisioning Duplicate 09/18/2014

Has duplicate Foreman - Feature #15983: Better tag Management in Amazon EC2 Duplicate 08/04/2016

Associated revisions

Revision c8a1c514 - 05/26/2021 10:10 AM - Adam Cécile

Fixes #2170 - Support custom AWS EC2 tags

History

#1 - 01/25/2015 10:34 AM - Ohad Levy

do you mean image creation or instance creation?

if its instance creation, then we already add the Name tag see 

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/ec2.rb#L39

#2 - 01/26/2015 04:35 AM - Dominic Cleal

- Category set to Compute resources - EC2

#3 - 05/29/2016 02:38 AM - Chris Edester

It would be nice to add additional tags other than Name.

For example, we often tag instances with account codes, so we know who is paying for them...

#4 - 05/29/2016 02:38 AM - Chris Edester

Chris Edester wrote:

It would be nice to add additional tags other than Name.

For example, we often tag instances with account codes, so we know who is paying for them...

 Maybe the web ui can provide fields to add additional tags.

#5 - 08/08/2016 03:01 AM - Dominic Cleal

- Has duplicate Feature #7528: EC2 Tagging via Foreman Provisioning added

#6 - 08/08/2016 03:01 AM - Dominic Cleal

- Has duplicate Feature #15983: Better tag Management in Amazon EC2 added
https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/ec2.rb#L39


#7 - 11/06/2019 10:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7154 added

#8 - 04/23/2020 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/7154)

#9 - 04/23/2020 07:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7154 added

#10 - 06/04/2020 04:06 PM - Kavita Gaikwad

- Subject changed from Add support for ec2 tags during image creation to Add support for ec2 tags during instance creation

#11 - 06/04/2020 04:07 PM - Kavita Gaikwad

- Related to Feature #30020:  Add support for ec2 tags during instance creation added

#12 - 05/26/2021 10:10 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#13 - 05/26/2021 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c8a1c514841761630786a5dc8cfa2558286e14f5.
